# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crabbs/version'

Gem::Specification.new do |spec|
  spec.name          = 'crabbs'
  spec.version       = Crabbs::VERSION
  spec.authors       = ['Bruno Trecenti']
  spec.email         = ['btrecent@thoughtworks.com']
  spec.summary       = %q{A crawler for the web}
  spec.description   = %q{A crawler for a single domain web application}
  spec.homepage      = 'http://github.com/Trecenti/crabbs'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'nokogiri', '~> 1.6'
  spec.add_runtime_dependency 'slop', '~> 3.5', '>= 3.5.0'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.3', '>= 10.3.2'
  spec.add_development_dependency 'rspec', '~> 2.14', '>= 2.14.1'
  spec.add_development_dependency 'webmock', '~> 1.18', '>= 1.18.0'
  spec.add_development_dependency 'pry', '~> 0.9', '>= 0.9.12'
end
