require 'webmock/rspec'
require 'crabbs'

describe Crabbs do

  subject { Crabbs }

  describe '#start' do
    before do
      stub_request(:get, "http://example.com/").to_return(:body => "")
    end

    it 'starts crawling' do
      subject.start({ url: 'http://example.com' }).should == { 'http://example.com' => {} }
    end
  end
end
